VismaBouwsoftAPICalls.v1_POST_Assignments Method
v1_POST_Assignments() as String

This API call is used to add a(n) Assignment

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /Assignments
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
maintenancesheet_id 1 tpLong 0 No Yes No
company_id 1 tpLong 0 No Yes No
company_name 2 tpString 250 No No No
date 3 tpDate 0 No Yes No
dateplanned 6 tpDateNullString 0 No No No
nr 1 tpLong 0 No Yes No
title 2 tpString 100 No Yes No
subject 2 tpString 100 No Yes No
status 2 tpString 0 No No No
planned 5 tpBool 0 No No No
executed 5 tpBool 0 No No No
executed_on 2 tpString 0 No No No
checked 5 tpBool 0 No No No
invoiced 5 tpBool 0 No No No
finished 5 tpBool 0 No No No
sent 5 tpBool 0 No No No
sent_on 2 tpString 0 No No No
reschedule 5 tpBool 0 No No No
readonly 5 tpBool 0 No No No
employee_id 1 tpLong 0 No Yes No
employee_name 2 tpString 150 No No No
machine_id 1 tpLong 0 No Yes No
machine_nr 2 tpString 50 No No No
machine_description 2 tpString 100 No No No
execute 5 tpBool 0 No Yes No
description_customer 2 tpString 0 No Yes No
note_technician 2 tpString 0 No Yes No
address_id 1 tpLong 0 No Yes No
address_name 2 tpString 150 No No No
address_address 2 tpString 63 No No No
address_addressline2 2 tpString 63 No No No
address_countrycode 2 tpString 2 No No No
address_zipcode 2 tpString 15 No No No
address_city 2 tpString 40 No No No
addresscontact_id 1 tpLong 0 No Yes No
contact_salutation 2 tpString 50 No No No
contact_name 2 tpString 100 No No No
project_id 1 tpLong 0 No Yes No
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
yourreference 2 tpString 50 No No No
ts_lastupdate 3 tpDate 0 No No No
actualcost_id 1 tpLong 0 No No No
actualcost_nr 1 tpLong 0 No No No
actualcost_datestart 3 tpDate 0 No No No
actualcostitem_id 1 tpLong 0 No Yes No
actualcostitem_description 2 tpString 0 No No No
actualcostitem_description_localized 2 tpString 0 No No No

/Assignments

API Path: /Assignments/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Assignments

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: ODrfWxfPkOzSfUtVtfzRqDDPfUGjfGGOfPbkztjVkOlGrjPtAP

Query Parameters :
ParameterName: columns, ParameterValue: address_id=%7B%22v1_POST_Addresses%20%28test1%29%22%3A%20%22id%22%7D,maintenancesheet_id=571

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 1496,
    "maintenancesheet_id": 571,
    "company_id": 2,
    "company_name": "Groensoft",
    "date": "2026–05–07",
    "dateplanned": "",
    "nr": 20210415,
    "title": "",
    "subject": "",
    "status": "To schedule",
    "planned": false,
    "executed": false,
    "executed_on": "",
    "checked": false,
    "invoiced": false,
    "finished": false,
    "sent": false,
    "sent_on": "",
    "reschedule": false,
    "readonly": false,
    "employee_id": 0,
    "employee_name": "",
    "machine_id": 0,
    "machine_nr": "",
    "machine_description": "",
    "execute": false,
    "description_customer": "",
    "note_technician": "",
    "address_id": 329298,
    "address_name": "DirkAPICust",
    "address_address": "Molleweg 9",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8377",
    "address_city": "Houtave",
    "addresscontact_id": 0,
    "contact_salutation": "",
    "contact_name": "",
    "project_id": 0,
    "project_pnr": 0,
    "project_unr": 0,
    "project_name": "",
    "yourreference": "",
    "ts_lastupdate": "2026–05–07 09:19:09",
    "actualcost_id": 0,
    "actualcost_nr": 0,
    "actualcost_datestart": "2026–05–07",
    "actualcostitem_id": 0,
    "actualcostitem_description": "",
    "actualcostitem_description_localized": ""
  }
]
}